<?xml version="1.0"?>
<!--- xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" -->
<xsl:stylesheet version="1.0" xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:template match="/">
<html>
<head>
	<title>Servers Alive</title>
	<link rel="stylesheet" href="Style.css" type="text/css"> </link>
	<link rel="icon" type="image/png" href="salive.png"/>
	<meta http-equiv="Expires" content="Mon, 06 Jan 1990 00:00:01 GMT"> </meta>
	<meta http-equiv="Refresh" CONTENT="600;URL=http://your_ServersAlive_web_server/salive/data.xml"> </meta>
	<script language="JavaScript" src="script.js"></script>
</head>
<body>
<center>
	<div>
		<table>
			<tr>
				<td rowspan="3">
					<a class="NoOutline" href="http://your_ServersAlive_web_server:4310/saweb"><img src="images/Logo Transparent.png" height="49" width="150" alt="Agrium Logo"></img></a>
				</td>
				<td class="HeaderInfo">Cycle:</td>
				<td class="HeaderInfo"><xsl:value-of select="Check_Information/@Cycles"/></td>
        		<td class="HeaderInfo"><a href="http://your_ServersAlive_web_server/salive/graph.asp">View Graphs</a></td>
			</tr>
			<tr>
				<td class="HeaderInfo">Start:</td>
				<td class="HeaderInfo" colspan="3"><xsl:value-of select="Check_Information/@CycleStart"/></td>
			</tr>
			<tr>
				<td class="HeaderInfo">End:</td>
				<td class="HeaderInfo" colspan="3"><xsl:value-of select="Check_Information/@CycleStop"/></td>
			</tr>
		</table>
		</div>
</center>
<!-- Table for Groups -->
    <table align="center" id="tblGroups">
		<tr class="HeaderRow">
			<td colspan="2"></td>
			<td colspan="3"># Entries</td>
		</tr>
		<tr class="HeaderRow">
			<td width="30">Visible</td>
			<td width="200" align="left">Group</td>
			<td width="50">Up</td>
			<td width="50">Down</td>
			<td width="50">Maint</td>
		</tr>
	  <xsl:for-each select="Check_Information/Group">
	    <tr>
			<xsl:attribute name="STYLE">color:
			<xsl:choose>
			<xsl:when test="@GroupDownEntries &gt; 0">red</xsl:when>
			<xsl:otherwise>green</xsl:otherwise>
			</xsl:choose>
			</xsl:attribute>
			<td align="center"></td>
			<td class="GroupCell">
				<xsl:attribute name="onclick">javascript:ToggleDetails(event, "<xsl:value-of select="@GroupName"/>")</xsl:attribute>
				<xsl:value-of select="@GroupName"/></td>
			<td align="center"><xsl:value-of select="@GroupUpEntries"/></td>
			<td align="center"><xsl:value-of select="@GroupDownEntries"/></td>
			<td align="center"><xsl:value-of select="@GroupMaintenanceEntries"/></td>
		</tr>
	  </xsl:for-each>
    </table>
	<br/>
<!-- This is where the content will show -->
	<div id="divContent"></div>

<!-- Show Footer -->
	<div class="FooterInfo">
		<hr />
		<img src="images/sabutton.gif" ALIGN="right" alt="Servers Alive Logo"></img>
		Servers Alive version <xsl:value-of select="Check_Information/@Version"/>
	</div>

<!-- Content for when no site is clicked -->
	<div id="divNoSelection" class="Hidden">
		<center class="NoSelectionText">Click a site to see details</center>
	</div>

<!-- Build hidden tables in separate div elements -->
	<xsl:for-each select="Check_Information/Group">
	 	<div class="Hidden">
	  		<xsl:attribute name="ID"><xsl:value-of select="@GroupName"/></xsl:attribute>
<!-- Table for entries -->
    <table id="tblEntries" align="Center">
		<tr class="HeaderRow">
			<td colspan="4"></td>
			<td colspan="4"># Cycles</td>
		</tr>
		<tr class="HeaderRow">
			<td width="30">Up?</td>
			<td width="250" align="left">Host</td>
			<td width="160">Last Change</td>
			<td width="50">UpTime</td>
			<td width="50">Up</td>
			<td width="50">Down</td>
			<td width="50">Maint</td>
			<td width="50">Total</td>
		</tr>
		<xsl:for-each select="Check">
			<tr>
				<td width="30"><xsl:element name="img">
						<xsl:attribute name="SRC"><xsl:value-of select="Status/@src"/></xsl:attribute>
					</xsl:element></td>
				<td width="250">
					<xsl:attribute name="title">Hostname: <xsl:value-of select="HostName"/>
CheckDescription: <xsl:value-of select="Description"/>
Status: <xsl:value-of select="Status"/>
Remark: <xsl:value-of select="Remark"/>
CheckResponse: <xsl:value-of select="CheckResponse"/>
Threshold: <xsl:value-of select="Threshold"/>
RoundTrip: <xsl:value-of select="RoundTrip"/>
AvgRoundTrip: <xsl:value-of select="AvgRoundTrip"/>
MaxRoundTrip: <xsl:value-of select="MaxRoundTrip"/>
MinRoundTrip: <xsl:value-of select="MinRoundTrip"/>
OnStatusTime: <xsl:value-of select="OnStatusTime"/>
Downtime %: <xsl:value-of select="DownPercent"/>
Maintenance %: <xsl:value-of select="MaintenancePercent"/>
NonDownTime %: <xsl:value-of select="NonDownTime"/></xsl:attribute>
				<xsl:value-of select="PrettyName"/></td>
				<td width="160"><xsl:value-of select="ChangeDate"/>&#160;<xsl:value-of select="ChangeTime"/></td>
				<td width="50"><xsl:value-of select="UpTime"/></td>
				<td width="50" align="center"><xsl:value-of select="UpCycles"/></td>
				<td width="50" align="center"><xsl:value-of select="DownCycles"/></td>
				<td width="50" align="center"><xsl:value-of select="MaintenanceCycles"/></td>
				<td width="50" align="center"><xsl:value-of select="TotalCycles"/></td>
	      </tr>

	  </xsl:for-each>
	</table>
	  </div>
	</xsl:for-each>
<form name="frmReport" action="sa_report.cfm" target="_blank" method="post">
	<input type="Hidden" name="txtCheck" value="Check Not Specified" />
</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
